Bug 1013880 - [abrt] cherrytree-0.29.4-1.fc19: ctdb.py:331:write_db_node:IntegrityError: column node_id is not unique
[abrt] cherrytree-0.29.4-1.fc19: ctdb.py:331:write_db_node:IntegrityError: co...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cherrytree (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:f18dc04a66eac89b2e0a998ad2b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 21:40 EDT by Huanshuai Li
Modified: 2013-10-08 07:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: cherrytree-0.30.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 07:29:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.91 KB, text/plain)
2013-09-30 21:40 EDT, Huanshuai Li
no flags Details
File: environ (1.92 KB, text/plain)
2013-09-30 21:40 EDT, Huanshuai Li
no flags Details

  None (edit)
Description Huanshuai Li 2013-09-30 21:40:36 EDT
Description of problem:
when i want to save a new document

Version-Release number of selected component:
cherrytree-0.29.4-1.fc19

Additional info:
reporter:       libreport-2.1.7
cmdline:        /usr/bin/python /usr/bin/cherrytree
executable:     /usr/bin/cherrytree
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
ctdb.py:331:write_db_node:IntegrityError: column node_id is not unique

Traceback (most recent call last):
  File "/usr/share/cherrytree/modules/core.py", line 1153, in file_save
    and self.file_write(os.path.join(self.file_dir, self.file_name), first_write=False):
  File "/usr/share/cherrytree/modules/core.py", line 1244, in file_write
    self.file_write_low_level(filepath, xml_string, first_write)
  File "/usr/share/cherrytree/modules/core.py", line 1179, in file_write_low_level
    else: self.ctdb_handler.pending_data_write(self.db)
  File "/usr/share/cherrytree/modules/ctdb.py", line 64, in pending_data_write
    self.write_db_node(db, tree_iter, level, node_sequence, node_father_id, write_dict)
  File "/usr/share/cherrytree/modules/ctdb.py", line 331, in write_db_node
    db.execute('INSERT INTO children VALUES(?,?,?)', (node_id, node_father_id, sequence))
IntegrityError: column node_id is not unique

Local variables in innermost frame:
node_father_id: 95
sequence: 4
tag_property: 'link'
syntax: 'custom-colors'
pixbuf_table_codebox_vector: []
tag_found: False
txt: u'<?xml version="1.0" ?><node><rich_text>1. callback</rich_text></node>'
has_table: 0
is_ro: 0
dom_iter: <DOM Element: node at 0x29ea368>
curr_buffer: <gtk.TextBuffer object at 0x2103b90 (GtkTextBuffer at 0x29dd690)>
curr_iter: <GtkTextIter at 0x24b7a30>
sel_range: None
tree_iter: <GtkTreeIter at 0x26c7960>
tables_tuples: []
exporting: ''
images_tuples: []
write_dict: {'upd': False, 'buff': True, 'hier': True, 'child': False, 'prop': True}
is_richtxt: 1
tags: u''
db: <sqlite3.Connection object at 0x1f5ba28>
node_id: 67
has_codebox: 0
node_tuple: (67, u'BlueHeal', u'<?xml version="1.0" ?><node><rich_text>1. callback</rich_text></node>', 'custom-colors', u'', 0, 1, 0, 0, 0, 2)
end_iter: <GtkTextIter at 0x24b7f20>
name: u'BlueHeal'
level: 2
codeboxes_tuples: []
start_iter: <GtkTextIter at 0x24b7f70>
has_image: 0
self: <ctdb.CTDBHandler instance at 0x208af80>
Comment 1 Huanshuai Li 2013-09-30 21:40:40 EDT
Created attachment 805672 [details]
File: backtrace
Comment 2 Huanshuai Li 2013-09-30 21:40:44 EDT
Created attachment 805674 [details]
File: environ
Comment 3 Giuseppe Penone 2013-10-01 02:54:48 EDT
this should be fixed in 0.30.5
Comment 4 Robin Lee 2013-10-01 03:19:45 EDT
(In reply to Giuseppe Penone from comment #3)
> this should be fixed in 0.30.5

Thanks!
Comment 5 Fedora Update System 2013-10-01 03:20:58 EDT
cherrytree-0.30.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-17829/cherrytree-0.30.5-1.fc19
Comment 6 Fedora Update System 2013-10-08 07:29:03 EDT
cherrytree-0.30.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.